#ifndef _FONTS_H
#define _FONTS_H

#include "oswald.h"

typedef enum {
	FONT_TYPE_MONOSPACE = 0,
	FONT_TYPE_PROPORTIONAL,
} oswald_font_type;

typedef enum {
	FONT_LCD8x13 = 0,
	FONT_LCD13x21,
	FONT_5x7,
	FONT_6x9,
	FONT_DROID8x12,
	FONT_DROID8x12b,
	LAST_FONT
} oswald_font_face;

typedef struct {
	oswald_font_type font_type;
	uint8_t width;
	uint8_t height;
	uint8_t *data;
} oswald_font;

extern const oswald_font oswald_fonts[];

#endif
