#include "oswald_fonts.h"

#if defined(__GNUC__) && (__MSP430X__ > 0)
__attribute__((__far__))
#endif
#include "fonts/lcd13x21.h"

#if defined(__GNUC__) && (__MSP430X__ > 0)
__attribute__((__far__))
#endif
#include "fonts/lcd8x13.h"

#if defined(__GNUC__) && (__MSP430X__ > 0)
__attribute__((__far__))
#endif
#include "fonts/fixed5x7.h"

#if defined(__GNUC__) && (__MSP430X__ > 0)
__attribute__((__far__))
#endif
#include "fonts/fixed6x9.h"

#if defined(__GNUC__) && (__MSP430X__ > 0)
__attribute__((__far__))
#endif
#include "fonts/DroidSans8x12.h"

#if defined(__GNUC__) && (__MSP430X__ > 0)
__attribute__((__far__))
#endif
#include "fonts/DroidSansBold8x12.h"

const oswald_font oswald_fonts[LAST_FONT] = {
	{
		FONT_TYPE_MONOSPACE,
		FONT_WIDTH_LCDnone_8x13,
		FONT_HEIGHT_LCDnone_8x13,
		(uint8_t *)FONT_DATA_LCDnone_8x13
	}, {
		FONT_TYPE_MONOSPACE,
		FONT_WIDTH_LCDnone_13x21,
		FONT_HEIGHT_LCDnone_13x21,
		(uint8_t *)FONT_DATA_LCDnone_13x21
	}, {
		FONT_TYPE_MONOSPACE,
		FONT_WIDTH_Fixed_5x7,
		FONT_HEIGHT_Fixed_5x7,
		(uint8_t *)FONT_DATA_Fixed_5x7
	}, {
		FONT_TYPE_MONOSPACE,
		FONT_WIDTH_Fixed_6x9,
		FONT_HEIGHT_Fixed_6x9,
		(uint8_t *)FONT_DATA_Fixed_6x9
	}, {
		FONT_TYPE_PROPORTIONAL,
		FONT_WIDTH_Droid_SansMedium_8x12,
		FONT_HEIGHT_Droid_SansMedium_8x12,
		(uint8_t *)FONT_DATA_Droid_SansMedium_8x12
	}, {
		FONT_TYPE_PROPORTIONAL,
		FONT_WIDTH_Droid_SansBold_8x12,
		FONT_HEIGHT_Droid_SansBold_8x12,
		(uint8_t *)FONT_DATA_Droid_SansBold_8x12
	},
};
